Subject: Re: [syzbot] kernel BUG in vhost_vsock_handle_tx_kick

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 4 Jan 2023 08:03:59 -0500

On Mon, Dec 19, 2022 at 10:46:47AM +0000, Bobby Eshleman wrote:
> On Tue, Jan 03, 2023 at 08:21:25PM -0800, Cong Wang wrote:
> > On Tue, Jan 03, 2023 at 04:08:51PM -0800, syzbot wrote:
> > > Hello,
> > > 
> > > syzbot found the following issue on:
> > > 
> > > HEAD commit:    c76083fac3ba Add linux-next specific files for 20221226
> > > git tree:       linux-next
> > > console+strace: https://syzkaller.appspot.com/x/log.txt?x=1723da42480000
> > > kernel config:  https://syzkaller.appspot.com/x/.config?x=c217c755f1884ab6
> > > dashboard link: https://syzkaller.appspot.com/bug?extid=30b72abaa17c07fe39dd
> > > compiler:       gcc (Debian 10.2.1-6) 10.2.1 20210110, GNU ld (GNU Binutils for Debian) 2.35.2
> > > syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=14fc414c480000
> > > C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1604b20a480000
> > > 
> > > Downloadable assets:
> > > disk image: https://storage.googleapis.com/syzbot-assets/e388f26357fd/disk-c76083fa.raw.xz
> > > vmlinux: https://storage.googleapis.com/syzbot-assets/e24f0bae36d5/vmlinux-c76083fa.xz
> > > kernel image: https://storage.googleapis.com/syzbot-assets/a5a69a059716/bzImage-c76083fa.xz
> > > 
> > > IMPORTANT: if you fix the issue, please add the following tag to the commit:
> > > Reported-by: [email-masked]
> > 
> > [email-masked]
> > 
> > Bobby, please take a look.
> > 
> > Thanks.
> 
> Roger that, I'll take a gander asap.

I'll going to revert commit f169a9538803469418d9ba2c42a0236fc43cd876 unless
I hear from you soon, we need linux-next testable.

-- 
MST